Bug 1295473 - Clamav complains about an obsolete boolean not being set
Clamav complains about an obsolete boolean not being set
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 10:54 EST by Edward Kuns
Modified: 2016-04-07 11:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: clamav-0.99.1-1.fc23 clamav-0.99.1-1.fc24 clamav-0.99.1-1.el7 clamav-0.99.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 20:26:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Kuns 2016-01-04 10:54:04 EST
Description of problem:

ClamAV reports the following in logwatch:

 LibClamAV Warning: RWX mapping denied: Can't allocate RWX Memory: Permission denied
 LibClamAV Warning: Bytecode: disabling JIT because SELinux is preventing 'execmem' access.
 Run  'setsebool -P clamd_use_jit on'.

Version-Release number of selected component (if applicable):

clamav-server-systemd-0.99-2.fc23.noarch
clamtk-5.20-1.fc23.noarch
clamav-milter-0.99-2.fc23.x86_64
clamav-filesystem-0.99-2.fc23.noarch
clamav-scanner-0.99-2.fc23.noarch
clamav-0.99-2.fc23.x86_64
clamz-0.5-9.fc23.x86_64
clamav-server-0.99-2.fc23.x86_64
clamav-milter-systemd-0.99-2.fc23.noarch
clamav-scanner-systemd-0.99-2.fc23.noarch
clamav-data-0.99-2.fc23.noarch
clamav-lib-0.99-2.fc23.x86_64
clamav-update-0.99-2.fc23.x86_64

How reproducible:

Every day

Steps to Reproduce:
1. Install and configure Clamav
2. Wait
3.

Actual results:

SELinux refusals

Expected results:

No refusals

Additional info:

The name of the boolean is not clamd_use_jit.  It is antivirus_use_jit.  Apparently this changed a while ago and there used to be an alias in SELinux.  That alias appears to be gone, so ClamAV is complaining about an obsolete name.  The fix would be either to fix the ClamAV complaint or add the alias back.  Probably the former is better.
Comment 1 Fedora Update System 2016-03-29 18:26:30 EDT
clamav-0.99.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b77d212c1
Comment 2 Fedora Update System 2016-03-29 18:28:39 EDT
clamav-0.99.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01cbca7bf8
Comment 3 Fedora Update System 2016-03-29 18:29:52 EDT
clamav-0.99.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-897e2e3fd1
Comment 4 Fedora Update System 2016-03-29 18:32:18 EDT
clamav-0.99.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3a49528764
Comment 5 Fedora Update System 2016-03-30 18:22:22 EDT
clamav-0.99.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-897e2e3fd1
Comment 6 Fedora Update System 2016-03-30 18:26:39 EDT
clamav-0.99.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b77d212c1
Comment 7 Fedora Update System 2016-03-30 18:55:24 EDT
clamav-0.99.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01cbca7bf8
Comment 8 Fedora Update System 2016-03-30 22:20:44 EDT
clamav-0.99.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3a49528764
Comment 9 Fedora Update System 2016-03-31 20:26:05 EDT
clamav-0.99.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-02 12:42:24 EDT
clamav-0.99.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-04-02 15:24:59 EDT
clamav-0.99.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-04-07 11:48:35 EDT
clamav-0.99.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.